Bug 161427 - Probing Sis 730 ATA 100 IDE interface ide1... cause a BUG: soft lockup detected on CPU#0!
Probing Sis 730 ATA 100 IDE interface ide1... cause a BUG: soft lockup detec...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 07:28 EDT by Pinto Arito
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:15:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pinto Arito 2005-06-23 07:28:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
SIS5513: SiS730 ATA 100 (1st gen) controller
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
hda: Maxtor 6E040L0, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
BUG: soft lockup detected on CPU#0!

Pid: 1, comm:              swapper
EIP: 0060:[<c0110ee3>] CPU: 0
EIP is at delay_tsc+0xb/0x13
 EFLAGS: 00000287    Not tainted  (2.6.11-1.1369_FC4)
EAX: 4ed49bfc EBX: 0017100c ECX: 4ecd5e03 EDX: 00000013
ESI: c04980ac EDI: 000088b8 EBP: c04980ac DS: 007b ES: 007b
CR0: 8005003b CR2: 0809c880 CR3: 1f2e1000 CR4: 000006d0
 [<c0212dbd>] __delay+0x9/0xa
 [<c02b51ed>] ide_wait_not_busy+0x3c/0xaf
 [<c0110ee3>] delay_tsc+0xb/0x13
 [<c02b6d55>] wait_hwif_ready+0x129/0x1f2
 [<c02acf1a>] ide_hwif_request_regions+0x86/0xf5
 [<c02b6ef7>] probe_hwif+0x51/0x49c
 [<c02b9924>] idedefault_attach+0x10/0x4c
 [<c02af16d>] ata_attach+0xcb/0x149
 [<c02b7350>] probe_hwif_init_with_fixup+0xe/0x75
 [<c02bb427>] ide_setup_pci_device+0x80/0x8e
 [<c043fbb1>] ide_scan_pcidev+0x31/0x57
 [<c043fbf4>] ide_scan_pcibus+0x1d/0x97
 [<c043f288>] probe_for_hwifs+0xa/0x14
 [<c043f2da>] ide_init+0x48/0x5e
 [<c04247e9>] do_initcalls+0x55/0xb1
 [<c018562e>] kern_mount+0x15/0x19
 [<c0100279>] init+0x0/0xf7
 [<c0100299>] init+0x20/0xf7
 [<c01012a8>] kernel_thread_helper+0x0/0xb
 [<c01012ad>] kernel_thread_helper+0x5/0xb
 [<c01505e1>] softlockup_tick+0x95/0x1b8
 [<c012cd3d>] update_wall_time+0x14/0x40
 [<c012d331>] do_timer+0x4d/0xfb
 [<c0108c2e>] timer_interrupt+0x60/0x1b5
 [<c015085d>] handle_IRQ_event+0x2e/0x5a
 [<c015093c>] __do_IRQ+0xb3/0x367
 [<c0105b1d>] do_IRQ+0x4a/0x82
 =======================
 [<c0105b24>] do_IRQ+0x51/0x82
 [<c0103c0e>] common_interrupt+0x1a/0x20
 [<c0110ee3>] delay_tsc+0xb/0x13
 [<c0212dbd>] __delay+0x9/0xa
 [<c02b51ed>] ide_wait_not_busy+0x3c/0xaf
 [<c0110ee3>] delay_tsc+0xb/0x13
 [<c02b6d55>] wait_hwif_ready+0x129/0x1f2
 [<c02acf1a>] ide_hwif_request_regions+0x86/0xf5
 [<c02b6ef7>] probe_hwif+0x51/0x49c
 [<c02b9924>] idedefault_attach+0x10/0x4c
 [<c02af16d>] ata_attach+0xcb/0x149
 [<c02b7350>] probe_hwif_init_with_fixup+0xe/0x75
 [<c02bb427>] ide_setup_pci_device+0x80/0x8e
 [<c043fbb1>] ide_scan_pcidev+0x31/0x57
 [<c043fbf4>] ide_scan_pcibus+0x1d/0x97
 [<c043f288>] probe_for_hwifs+0xa/0x14
 [<c043f2da>] ide_init+0x48/0x5e
 [<c04247e9>] do_initcalls+0x55/0xb1
 [<c018562e>] kern_mount+0x15/0x19
 [<c0100279>] init+0x0/0xf7
 [<c0100299>] init+0x20/0xf7
 [<c01012a8>] kernel_thread_helper+0x0/0xb
 [<c01012ad>] kernel_thread_helper+0x5/0xb
ide1: Wait for ready failed before probe !
hdc: HL-DT-STDVD-ROM GDR8161B, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 80293248 sectors (41110 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2
hdc: ATAPI 48X DVD-ROM drive, 256kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just restart my systen
2.Install the system with my current configuration
3.
  

Actual Results:  System hangs for a while but continue with the probe , if I install gnome the system speed increase drammaticly aswell.

Additional info:
Comment 1 Alan Cox 2005-07-11 05:41:00 EDT
This appears to mostly be a bug in the soft lockup detection. The long delay at
boot is intentional.

The system isn't happy - the CD on hdc is never showing as 'ready' so the kernel
gives up and tries anyway which apparently works after 30 seconds.
Comment 2 Dave Jones 2005-07-15 17:47:35 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 Dave Jones 2005-09-30 02:34:59 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Dave Jones 2005-11-10 14:35:41 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 00:34:23 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:15:02 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.